<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2019 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2018.3/1751405
 */

namespace Saml;

use Zend\Mvc\MvcEvent;

/**
 * Module to load Saml configuration settings.
 * @package Saml
 */
class Module
{

    /**
     * Bootstrap tasks.
     * @param MvcEvent $event
     */
    public function onBootstrap(MvcEvent $event)
    {
        // Bootstrap tasks
    }

    /**
     * Load and merge in configuration.
     * @return mixed
     */
    public function getConfig()
    {
        return include __DIR__ . '/config/module.config.php';
    }

    /**
     * Autoloader configuration.
     * @return array
     */
    public function getAutoloaderConfig()
    {
        return array(
            'Zend\Loader\StandardAutoloader' => array(
                'namespaces' => array(
                    __NAMESPACE__ => __DIR__ . '/src/' . __NAMESPACE__,
                ),
            ),
        );
    }
}
